<?php

    namespace FederationLib\Enums\Filters;

    final class ListClientsFilter
    {
        public const CREATED_TIMESTAMP = 'created_timestamp';
        public const UPDATED_TIMESTAMP = 'updated_timestamp';
        public const SEEN_TIMESTAMP = 'seen_timestamp';
        public const ENABLED = 'enabled';

        public const ALL = [
            self::CREATED_TIMESTAMP,
            self::UPDATED_TIMESTAMP,
            self::SEEN_TIMESTAMP,
            self::ENABLED
        ];
    }