<?php

    namespace FederationLib\Enums\Standard;

    final class ContentType
    {
        public const NULL = 'null';
        public const TEXT = 'text/plain';
        public const HTML = 'text/html';
        public const JSON = 'application/json';
        public const XML = 'application/xml';
        public const EMAIL = 'message/rfc822';
        public const BASE64 = 'application/base64';
        public const HTTP = 'application/http';
    }