<?php

    namespace FederationLib\Enums\Standard;

    final class ErrorCodes
    {
        /**
         * An internal server error occurred.
         */
        public const INTERNAL_SERVER_ERROR = 0;



        /**
         * The requested client was not found.
         */
        public const CLIENT_NOT_FOUND = 1000;

        /**
         * The requested client name is invalid.
         */
        public const INVALID_CLIENT_NAME = 1001;

        /**
         * The requested client description is invalid.
         */
        public const INVALID_CLIENT_DESCRIPTION = 1002;

        /**
         * The requested client signature verification failed.
         */
        public const SIGNATURE_VERIFICATION_FAILED = 1003;

        /**
         * The requested client is disabled.
         */
        public const CLIENT_DISABLED = 1004;



        /**
         * The requested user entity was not found.
         */
        public const PEER_NOT_FOUND = 2000;

        /**
         * The requested peer association was not found.
         */
        public const PEER_ASSOCIATION_NOT_FOUND = 3000;

        /**
         * The requested peer association type is invalid.
         */
        public const INVALID_PEER_ASSOCIATION_TYPE = 3001;
    }