<?php

    namespace FederationLib\Interfaces;

    interface EntityObjectInterface extends SerializableObjectInterface
    {
        /**
         * Validates the given object and returns true if it is valid.
         *
         * @return bool
         */
        public function validate(): bool;

        /**
         * Returns the standard federated address of the entity.
         *
         * @return string
         */
        public function getFederatedAddress(): string;
    }